#include <eedb/data/PgUsers.hpp>
#include <eedb/data/PgUser.hpp>

#include <eedb/model/auth_info.h>
#include <eedb/model/auth_identity.h>
#include <eedb/model/auth_token.h>

namespace eedb {

template < typename T >
using shared_ptr = PgUsers::shared_ptr< T >;

shared_ptr< User > PgUsers::findWith(int) const {
	
}

shared_ptr< User > PgUsers::findWith(const AuthIdentity & identity) const {
	
}

shared_ptr< User > PgUsers::findWith(const Email & email) const {
	
}

shared_ptr< User > PgUsers::findWith(const Users::AuthToken & token) const {
	
}

shared_ptr< User > PgUsers::addUser(unique_ptr< AuthIdentity >) {
	
}

}
